Package org.eclipse.rap.fileupload

# Class UploadSizeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.rap.fileupload.UploadSizeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class UploadSizeLimitExceededException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UploadSizeLimitExceededException(long sizeLimit, String fileName)`
Constructs a `UploadSizeLimitExceededException` with permitted size.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
Return the name of the uploaded file when the execption occurs.
`long`
`getSizeLimit()`
Returns the maximum permitted file upload size in bytes.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UploadSizeLimitExceededException

public UploadSizeLimitExceededException(long sizeLimit, String fileName)
Constructs a `UploadSizeLimitExceededException` with permitted size.

Parameters:
  `sizeLimit` - The maximum permitted file upload size in bytes.
  `fileName` - The name of the uploaded file when the execption occurs.
Since:
  3.3

## Method Details

### getSizeLimit

public long getSizeLimit()
Returns the maximum permitted file upload size in bytes.

### getFileName

public String getFileName()
Return the name of the uploaded file when the execption occurs.